clear;
close all;
m=1;
c=0;
k=1;
k2=4;
f=0;
w0=sqrt(k/m);
wf=sqrt(k/m);
tspan = [0 40];
y0 = [1; 0];

% tspan = [0 100];
% y0 = [.5; 0];

% Solve the problem using ode45
[tout,yout]=ode45(@(t,y) myf2(t,y,m,c,k,f,wf) , tspan,y0);
[tout2,yout2]=ode45(@(t,y) myf2(t,y,m,c,k2,f,wf) , tspan,y0);
%ye=y0(2)/w0*sin(w0*tout)+y0(1)*cos(w0*tout);

figure(1)
%set(axes,'fontsize',18)
hold on
plot(tout,yout(:,1),'g.')
plot(tout2*2,yout2(:,1),'r-')
xlabel('time')
ylabel('Displacement')
legend('Num. Sol','Exact Sol');
saveas(gcf,'y','eps')

figure(2)
%phase Portrait
%set(axes,'fontsize',18)
axis([-50 50 -50 50])
xlabel('y_1')
ylabel('y_2')
hold on
for i=1:length(yout(:,1))
    plot(yout(i,1),yout(i,2),'.');
    drawnow;
end
%plot(yout(:,1),yout(:,2));

saveas(gcf,'phase','eps')