%function vdpode(MU)
%(stiff for large MU)
clear all
close all
MU = -1;     % default

tspan = [0; 10];              % Several periods
y0 =2;
%[2,2];


tic,[t,y] = ode45(@(t,y) my_fs(t,y,MU),tspan,y0);,toc
tic,[t2,y2] = ode15s(@(t,y) my_fs(t,y,MU),tspan,y0);,toc
% clear t;,clear y;
% options = odeset('Jacobian',@(t,y) my_Js(t,y,MU));
% tic,[t,y] = ode23s(@(t,y) my_fs(t,y,MU),tspan,y0,options);,toc
figure(1)
plot(t,y(:,1),'.-');

title(['ode45 solution of a stiff ode, \mu = ' num2str(MU)]);
xlabel('time t');
ylabel('solution y_1');

axis([tspan(1) tspan(end) -2.5 2.5]);  

figure(2)
plot(t2,y2(:,1),'s-');
title(['ode15s solution of a stiff ode , \mu = ' num2str(MU)]);
xlabel('time t');
ylabel('solution y_1');

axis([tspan(1) tspan(end) -2.5 2.5]);  